[arch-commits] Commit in xorg-fonts-alias/repos (3 files)

Eric Bélanger eric at archlinux.org
Thu Apr 23 19:04:23 EDT 2009


    Date: Thursday, April 23, 2009 @ 19:04:23
  Author: eric
Revision: 36494

Fixed svn conflict

Added:
  xorg-fonts-alias/repos/extra-x86_64/LICENSE
    (from rev 36493, xorg-fonts-alias/trunk/LICENSE)
Modified:
  xorg-fonts-alias/repos/extra-x86_64/	(properties)
  xorg-fonts-alias/repos/extra-x86_64/PKGBUILD

----------+
 LICENSE  |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 PKGBUILD |   20 +++++++++-----------
 2 files changed, 57 insertions(+), 11 deletions(-)


Property changes on: xorg-fonts-alias/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xorg-fonts-alias/trunk:1
   + /xorg-fonts-alias/trunk:1-36493

Copied: xorg-fonts-alias/repos/extra-x86_64/LICENSE (from rev 36493, xorg-fonts-alias/trunk/LICENSE)
===================================================================
--- extra-x86_64/LICENSE	                        (rev 0)
+++ extra-x86_64/LICENSE	2009-04-23 23:04:23 UTC (rev 36494)
@@ -0,0 +1,48 @@
+Copyright (C) 1994-2003 The XFree86 Project, Inc.  All Rights Reserved.
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE XFREE86 PROJECT BE LIABLE FOR ANY CLAIM, DAMAGES
+OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
+OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
+THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name of the XFree86 Project
+shall not be used in advertising or otherwise to promote the sale, use
+or other dealings in this Software without prior written authorization
+from the XFree86 Project.
+
+
+
+  Copyright 2005 Red Hat, Inc.
+
+  Permission to use, copy, modify, distribute, and sell this software
+  and its documentation for any purpose is hereby granted without
+  fee, provided that the above copyright notice appear in all copies
+  and that both that copyright notice and this permission notice
+  appear in supporting documentation, and that the name of Red Hat
+  not be used in advertising or publicity pertaining to distribution
+  of the software without specific, written prior permission.  Red
+  Hat makes no representations about the suitability of this software
+  for any purpose.  It is provided "as is" without express or implied
+  warranty.
+
+  RED HAT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+  INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
+  NO EVENT SHALL RED HAT BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+  CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
+  OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
+  NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
+  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-23 23:02:17 UTC (rev 36493)
+++ extra-x86_64/PKGBUILD	2009-04-23 23:04:23 UTC (rev 36494)
@@ -3,20 +3,18 @@
 
 pkgname=xorg-fonts-alias
 pkgver=1.0.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X.org font alias files"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://xorg.freedesktop.org/"
-_xorg=X11R7.0
-_relname=font-alias
-source=(${url}/releases/${_xorg}/src/everything/${_relname}-${_xorg}-${pkgver}.tar.bz2)
-md5sums=('de7035b15ba7edc36f8685ab3c17a9cf')
+license=('custom')
+source=(${url}/releases/individual/font/font-alias-${pkgver}.tar.bz2 LICENSE)
+md5sums=('c4776b6f0f2ecdb7670b6fe64b5d2a2d' 'ff91ae6d96d76130482d04653e7a836a')
 
 build() {
-  cd ${startdir}/src/${_relname}-${_xorg}-${pkgver}
-  ./configure --prefix=/usr \
-              --with-top-fontdir=/usr/share/fonts
+  cd ${srcdir}/font-alias-${pkgver}
+  ./configure --prefix=/usr --with-top-fontdir=/usr/share/fonts || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 ${srcdir}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-



More information about the arch-commits mailing list